pmldigital(1)

NAME
pmldigital - construct PhotoML files from EXIF data in digital images from a digital camera, or from data embedded in the output of a film scanner (only Nikon Coolscan scanners are currently supported)

SYNOPSIS
pmldigital [-h] [-b] [-i] [-f] [-d] [-r] [-x] ([-s] | [-g group-id]) [-t date-time-offset] imagefile [imagefile] ...

DESCRIPTION
pmldigital constructs PhotoML files from EXIF data in digital images from a digital camera, or from the private tags in TIFF files written by the Nikon Scan film scanner software.

OPTIONS
pmldigital accepts the following options:

-h  Display usage information.

-b  Include file basename only in output.

-i  Output intermediate XML representation of EXIF data.

-f  Fast output excluding computation of image and file md5 hashes.

-d  Construct digimage descriptions of scanned images instead of digital descriptions of digital camera images.

-r  Skip JPEG images with same basename as a RAW image

-x  For each specified image file, look for an XMP file with the same path and filename, but with a .xmp extension. If found, tags from this file override those in the main image file.

-s  Set group and frame (and image) ids from standard filenames.

-g group-id
    Specify group id for the set of image files.

-t date-time-offset
    Apply an offset to date/time values in EXIF data. The offset string is in the format accepted by the ParseDateDelta function of the Date::Manip Perl module, for example "+1y +2m +3d -2h +4mn +6s" for an offset adding 1 year, 2 months, and 3 days, subtracting 2 hours, and adding 4 minutes and 6 seconds.

AUTHOR
Brendt Wohlberg <photoml@wohlberg.net>

COPYRIGHT
Copyright © 2005-2009 Brendt Wohlberg <photoml@wohlberg.net>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License <http://www.gnu.org/licenses/gpl-2.0.txt>.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
Image::ExifTool(3), Date::Manip(3), md5sum(1), xsltproc(1)